Rem Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      CSVToArray.sql
Rem
Rem    DESCRIPTION
Rem     Demo script for setting up the CustomWritable demo 
Rem
Rem    VERSION
Rem     1.0.1

SET ECHO ON
SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100

drop type DoubleArray force;
create type DoubleArray as VARRAY(10000000) of NUMBER;
/

drop type ARRAYWRITABLE force;
create type ARRAYWRITABLE as OBJECT(data DoubleArray, nElements INTEGER);
/

DROP TABLE OutTable;

drop table INPUTTABLE;
-- Create the input tables.
CREATE TABLE INPUTTABLE (
  KEYIN     NUMBER,
  VALUEIN   VARCHAR2(1000)
);


insert into INPUTTABLE values (1, '0.2394, 0.1528, 0.6568');
insert into INPUTTABLE values (2, '0.26272, 0.6347, 0.23699');
insert into INPUTTABLE values (3, '0.16585, 0.2346, 0.12390');
insert into INPUTTABLE values (4, '0.3852, 0.5875, 0.19853');
insert into INPUTTABLE values (5, '0.30925, 0.32664, 0.22341');
insert into INPUTTABLE values (6, '0.29718, 0.30770, 0.23041');
insert into INPUTTABLE values (7, '0.229, 0.27420, 0.6085');
insert into INPUTTABLE values (8, '0.12196, 0.19352, 0.1427');
insert into INPUTTABLE values (9, '0.4973, 0.23356, 0.16498');
insert into INPUTTABLE values (10, '0.5816, 0.9632, 0.25443');
insert into INPUTTABLE values (11, '0.10318, 0.22276, 0.29577');
insert into INPUTTABLE values (12, '0.26200, 0.14952, 0.16571');
insert into INPUTTABLE values (13, '0.27272, 0.16467, 0.8579');
insert into INPUTTABLE values (14, '0.10193, 0.9977, 0.10614');
insert into INPUTTABLE values (15, '0.9547, 0.30777, 0.31527');
insert into INPUTTABLE values (16, '0.17230, 0.22721, 0.7487');
insert into INPUTTABLE values (17, '0.14574, 0.5452, 0.27694');
insert into INPUTTABLE values (18, '0.17355, 0.27847, 0.1231');
insert into INPUTTABLE values (19, '0.29297, 0.31000, 0.7382');
insert into INPUTTABLE values (20, '0.14840, 0.19196, 0.27212');


-- Call the Java program to accept configuration, generate the query and run it.
DROP PROCEDURE RunCSVToArray;
CREATE OR REPLACE PROCEDURE RunCSVToArray(arg1 VARCHAR2,arg2 VARCHAR2) 
AS LANGUAGE JAVA
NAME 'oracle.oc4hadoop.demo.CSVToArray.createArrayFromCSV(java.lang.String[])';
/

SET TIMING ON
call RunCSVToArray('Inputtable','OutTable');
select * from OutTable order by keyout;
quit;
