/* Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
All rights reserved.*/

/*
   DESCRIPTION
    Configuration class for demo   
   
   VERSION
    1.0.1 
 */

package oracle.oc4hadoop.demo;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.conf.Configured;
import org.apache.hadoop.io.NullWritable;
import org.apache.hadoop.mapreduce.Reducer;
import org.apache.hadoop.util.Tool;
import org.apache.hadoop.util.ToolRunner;
import oracle.sql.hadoop.Job;

public final class CSVToArray extends Configured implements Tool {
   
   @Override
   public int run(String[] args) throws Exception {
     final Configuration conf = getConf();
        
     Job job = new Job(conf,"CSVToArray");

     job.setMapperClass(CSVToArrayMapper.class);
     job.setReducerClass(Reducer.class);
     job.setNumReduceTasks(0); // No reduction.
     job.setMapOutputKeyClass(NullWritable.class);
     job.setMapOutputValueClass(DoubleArrayWritable.class);
     job.setOutputKeyClass(NullWritable.class);
     job.setOutputValueClass(DoubleArrayWritable.class);
        
     job.setMapOutputKeyDBType("NUMBER");
     job.setMapOutputValueDBType("ARRAYWRITABLE");
     job.setOutputKeyDBType("NUMBER");
     job.setOutputValueDBType("ARRAYWRITABLE");        
     job.init();

     job.run(args[0], args[1]);
        
     return 0;
   }

  /**
   * @param args
   * command-line arguments to the tool.
   */
   public static void createArrayFromCSV(String[] args)
     throws Exception {
     ToolRunner.run(null, new CSVToArray(), args);
   }
 }
