Rem Copyright (c) 2011, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      InvertedIndex.sql 
Rem
Rem    DESCRIPTION
Rem    Demo script for the inverted index example.
 
Rem    The user calls the Java program to accept configuration,
Rem    generates the query, and runs the map-reduce job.


drop type ARRAYLIST force;
create type ARRAYLIST as VARRAY(10000000) of VARCHAR2(30);
/

Drop table InTable;
 
-- Create the input table.
CREATE TABLE InTable (
  sayings 	VARCHAR2(1000)
);


-- Populate the input table.
insert into InTable values ('A faith is a necessity to a man. Woe to him who believes in nothing.');
insert into InTable values ('All who call on God in true faith, earnestly from the heart, will certainly be heard, and will receive what they have asked and desired.');
insert into InTable values ('Faith is not contrary to reason.');
insert into InTable values ('I can accept failure, everyone fails at something. But I cannot accept not trying.');
insert into InTable values ('Anyone who does not take truth seriously in small matters cannot be trusted in large ones either.');


select * from InTable;
DROP TABLE OutTable;

-- Call the Java program to accept configuration, generate the query and run it.
DROP PROCEDURE InvertedIndex;
CREATE OR REPLACE PROCEDURE InvertedIndex(arg VARCHAR2) 
	AS LANGUAGE JAVA
	NAME 'oracle.sql.hadoop.examples.InvertedIndex.run(java.lang.String)';
/

SET TIMING ON
Call InvertedIndex('');
select * from OutTable order by keyout;
quit;
