#!/usr/local/bin/perl
# Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      run.pl
#
#    DESCRIPTION
#     This script setup the demo and run it. 
#
#    VERSION
#     1.0.1
#
use Term::ReadKey;

print "Enter schema name where Market Basket Analysis will be run\n";
$username = <STDIN>;
chomp($username);

print "Enter password\n";
ReadMode('noecho');
$password = <STDIN>;
chomp($password);
ReadMode(0);

print "Loading data\n";
chdir "../sql";
system("sqlplus $username/$password @ createTable.sql");

chdir "../data";
system("sqlldr $username/$password CONTROL=retail.ctl LOG=retail_insert.log BAD=retail_insert.bad");

print "Loading jar file\n";
chdir "../lib";
system("loadjava -u $username/$password -v -r -f -resolver \"((* $username)(* OC4H_INSTALL)(* SYS)(* -))\" json-parse.jar;");

print "Loading java file\n";
chdir "../src";
system("loadjava -u $username/$password -v -r -f -resolver \"((* $username)(* OC4H_INSTALL)(* SYS))\" MarketBasket.java;");

chdir "../sql";
print "Running example\n" ;
system("sqlplus $username/$password @ MarketBasket.sql");

chdir "../src";
print "Droping javaFiles\n";
system("dropjava -u $username/$password -r -f -v MarketBasket.java;"); 
chdir "../lib";
system("dropjava -u $username/$password -r -f -v json-parse.jar;"); 
