Rem Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      MarketRatingsSQL.sql
Rem
Rem    DESCRIPTION
Rem     Runs the demo in SQL mode. 
Rem
Rem    VERSION
Rem     1.0.1

SET ECHO ON
SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100

DROP TABLE OutTable;

-- Call the Java program to accept configuration, generate the query and run it.
DROP FUNCTION RunMarketRatingsSQL;
CREATE OR REPLACE FUNCTION RunMarketRatingsSQL(conf VARCHAR2,runForTable NUMBER) RETURN NUMBER
AS LANGUAGE JAVA
NAME 'oracle.oc4hadoop.demo.MarketRatingsSQL.run(java.lang.String,int) return java.math.BigDecimal';
/

variable ConfKey NUMBER;
call RunMarketRatingsSQL('',&1) INTO :ConfKey;

create table OutTable of OUT_HADOOP_MARKETRATINGSSQL;

SET TIMING ON
insert /*+ enable_parallel_dml */ into OutTable select *  from table(HREDUCE_JP_MARKETRATINGSSQL(:ConfKey,cursor(select /*+ PARALLEL(t2,4) */ * from table(HMAP_JP_MARKETRATINGSSQL(:ConfKey,cursor(select /*+ PARALLEL(t1,4) */ rowid, MARKETDATA from FarmersMarketView t1)))t2)));
select * from OutTable order by keyout, valueout;
quit;
