Rem Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
Rem
Rem    NAME
Rem      ProfitCalculator.sql 
Rem
Rem    DESCRIPTION
Rem     Demo script for the ProfitCalculator example. 
Rem

drop table EuroProfitTable;
-- Create the input tables.
CREATE TABLE EuroProfitTable (
  PRODUCTID	INTEGER,
  PROFIT	NUMBER
);


-- Populate the input table.
-- It contains profit for products in euro currency
insert into EuroProfitTable values (1, 4567);
insert into EuroProfitTable values (3, 3467);
insert into EuroProfitTable values (2, 6550);
insert into EuroProfitTable values (4, 956);
insert into EuroProfitTable values (5, 1432);

select * from EuroProfitTable;

drop table YenProfitTable;
-- Create the input tables.
CREATE TABLE YenProfitTable (
  PRODUCTID        INTEGER,
  PROFIT        NUMBER
);                                                                                                                    
                                                                                                                      

-- Populate the input table.                                                                                          
-- It contains profit for products in yen currency
insert into YenProfitTable values (1, 456467);
insert into YenProfitTable values (3, 238467);
insert into YenProfitTable values (2, 4580);
insert into YenProfitTable values (4, 90345);
insert into YenProfitTable values (5, 23984);
                                                                                                                      
select * from YenProfitTable;

-- Call the Java program to accept configuration, generate the query and run it.
DROP PROCEDURE ProfitCalculator;
-- Create JobRun function.
CREATE OR REPLACE PROCEDURE ProfitCalculator 
	AS LANGUAGE JAVA
	NAME 'oracle.sql.hadoop.examples.ProfitCalculator.run()';
/

DROP TABLE OutTable;

SET TIMING ON
Call ProfitCalculator();
-- OutTable contains profit for products in usd currency
select * from OutTable order by keyout;
quit;
