Rem Copyright (c) 2011, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      Sessionization.sql 
Rem
Rem    DESCRIPTION
Rem     Demo script for the sessionization example.

Rem     The user calls the Java program to accept configuration,
Rem     generates the query, and runs the map-reduce job. 


drop table InTable;
-- Create the input tables.
CREATE TABLE InTable (
  KEYIN		VARCHAR2(10),
  VALUEIN	Integer
);


-- Populate the input table.
-- The session threshold is 10 units.
-- The inserts are spaced so that you can see the partiotions
-- and the sessions within them.
-- In real life, they would arrive in timstamp order
-- and sessions woould overlap.
insert into InTable(VALUEIN, KEYIN) values ( 1, 'Mary');
insert into InTable(VALUEIN, KEYIN) values (11, 'Mary');

insert into InTable(VALUEIN, KEYIN) values (23, 'Mary');

insert into InTable(VALUEIN, KEYIN) values (34, 'Mary');
insert into InTable(VALUEIN, KEYIN) values (44, 'Mary');
insert into InTable(VALUEIN, KEYIN) values (53, 'Mary');
insert into InTable(VALUEIN, KEYIN) values (63, 'Mary');

insert into InTable(VALUEIN, KEYIN) values ( 3, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (13, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (23, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (33, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (43, 'Richard');

insert into InTable(VALUEIN, KEYIN) values (54, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (63, 'Richard');

insert into InTable(VALUEIN, KEYIN) values ( 2, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (12, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (22, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (32, 'Sam');

insert into InTable(VALUEIN, KEYIN) values (43, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (47, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (48, 'Sam');

insert into InTable(VALUEIN, KEYIN) values (59, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (60, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (68, 'Sam');

select * from InTable;



-- Call the Java program to accept configuration, generate the query and run it.
DROP PROCEDURE Sessionization;
-- Create JobRun function.
CREATE OR REPLACE PROCEDURE Sessionization(arg VARCHAR2) 
	AS LANGUAGE JAVA
	NAME 'oracle.sql.hadoop.examples.Sessionization.run(java.lang.String)';
/

DROP TABLE OutTable;

SET TIMING ON
Call Sessionization('');
select * from OutTable order by keyout,valueout;
quit;
