/* Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
All rights reserved.*/

/*
   DESCRIPTION
    Given records of <key, value> pairs, identify differnt user sessions. SQL mode

   VERSION
    1.0.1
 */

package oracle.sql.hadoop.examples;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.LongWritable;

import oracle.sql.hadoop.ConfigManager;
import oracle.sql.hadoop.Job;

public class SessionizationSQL
{
  public static long jobKey(String arg) throws Exception {
    // Take the user specified options and pass them to the parser.
    // Take the user specified options and pass them to the parser.
    Configuration conf = new Configuration();
    ConfigManager.parse(conf, arg);

    // Specify the job parameters.
    Job job = new Job(conf, "Sessionization");
    job.setInputTableName("InTable");
    job.setOutputTableName("OutTable");
    job.setMapperClass(oracle.sql.hadoop.examples.Sessionization.SessionizationMapper.class);
    job.setReducerClass(oracle.sql.hadoop.examples.Sessionization.SessionizationReducer.class);
    job.setInputKeyClass(Text.class);
    job.setInputValueClass(LongWritable.class);
    job.setOutputKeyClass(Text.class);
    job.setOutputValueClass(LongWritable.class);

    job.setMapOutputKeyDBType("VARCHAR2(10)");
    job.setMapOutputValueDBType("NUMBER");
    job.setOutputKeyDBType("VARCHAR2(10)");
    job.setOutputValueDBType("NUMBER");
    
    return job.init();
  }
}
