Rem Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem     SessionizationSQL.sql 
Rem
Rem    DESCRIPTION
Rem    Demo script for the sessionization example.
 
Rem    The user calls the Java program to accept configuration,
Rem    and compose the queries with such configuration.

SET ECHO ON
SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100


drop table InTable;
-- Create the input tables.
CREATE TABLE InTable (
  KEYIN		VARCHAR2(10),
  VALUEIN	Integer
);


-- Populate the input table.
-- The session threshold is 10 units.
-- The inserts are spaced so that you can see the partiotions
-- and the sessions within them.
-- In real life, they would arrive in timstamp order
-- and sessions woould overlap.
insert into InTable(VALUEIN, KEYIN) values ( 1, 'Mary');
insert into InTable(VALUEIN, KEYIN) values (11, 'Mary');

insert into InTable(VALUEIN, KEYIN) values (23, 'Mary');

insert into InTable(VALUEIN, KEYIN) values (34, 'Mary');
insert into InTable(VALUEIN, KEYIN) values (44, 'Mary');
insert into InTable(VALUEIN, KEYIN) values (53, 'Mary');
insert into InTable(VALUEIN, KEYIN) values (63, 'Mary');

insert into InTable(VALUEIN, KEYIN) values ( 3, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (13, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (23, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (33, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (43, 'Richard');

insert into InTable(VALUEIN, KEYIN) values (54, 'Richard');
insert into InTable(VALUEIN, KEYIN) values (63, 'Richard');

insert into InTable(VALUEIN, KEYIN) values ( 2, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (12, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (22, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (32, 'Sam');

insert into InTable(VALUEIN, KEYIN) values (43, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (47, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (48, 'Sam');

insert into InTable(VALUEIN, KEYIN) values (59, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (60, 'Sam');
insert into InTable(VALUEIN, KEYIN) values (68, 'Sam');

select * from InTable;


-- Call the java program to generate job configuration.
DROP FUNCTION SessionizationSQL;
CREATE OR REPLACE FUNCTION SessionizationSQL(arg VARCHAR2) RETURN NUMBER
  AS LANGUAGE JAVA
	NAME 'oracle.sql.hadoop.examples.SessionizationSQL.jobKey(java.lang.String) return java.math.BigDecimal';
/
variable ConfKey NUMBER;
call SessionizationSQL('') INTO :ConfKey;

-- Make the query.
DROP TABLE OutTable;
create table OutTable of OUT_HADOOP_SESSIONIZATION;

SET TIMING ON
insert into OutTable select * from table(HREDUCE_JP_SESSIONIZATION(:ConfKey, cursor(select /*+ PARALLEL(t2,4) */ * from table(HMAP_JP_SESSIONIZATION(:ConfKey, cursor(select /*+ PARALLEL(t1,4) */ * from InTable t1)))t2)));
select * from OutTable order by keyout,valueout;
quit;
