Rem Copyright (c) 2011, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      WordCount.sql 
Rem
Rem    DESCRIPTION
Rem    Demo script for the word count example.
 
Rem    The user calls the Java program to accept configuration,
Rem    generates the query, and runs the map-reduce job.


drop table InTable;
-- Create the input tables.
CREATE TABLE InTable (
  KEYIN		VARCHAR2(100),
  VALUEIN	VARCHAR2(1000)
);


-- Populate the input table.
insert into InTable values ('1', 'Alice is great');
insert into InTable values ('3', 'Charlie is nice');
insert into InTable values ('2', 'Bob is cool');
insert into InTable values ('4', 'Dave is cool too');
insert into InTable values ('5', 'Hello World');

select * from InTable;



-- Call the Java program to accept configuration, generate the query and run it.
DROP PROCEDURE WordCount;
-- Create JobRun function.
CREATE OR REPLACE PROCEDURE WordCount(arg VARCHAR2) 
	AS LANGUAGE JAVA
	NAME 'oracle.sql.hadoop.examples.WordCount.run(java.lang.String)';
/

DROP TABLE OutTable;

SET TIMING ON
Call WordCount('');
select * from OutTable order by keyout;
quit;
