/* Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
All rights reserved.*/

/*
   DESCRIPTION
    This demo counts the frequency of words through SQL mode.

   VERSION
    1.0.1
 */

package oracle.sql.hadoop.examples;

import oracle.sql.hadoop.ConfigManager;
import oracle.sql.hadoop.Job;

import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.conf.Configuration;

public class WordCountSQL {

    public static long jobKey(String arg) throws Exception {
      // Take the user specified options and pass them to the parser.
      Configuration conf = new Configuration();
      ConfigManager.parse(conf, arg);

      // Specify the job parameters.
      Job job = new Job(conf, "WordCount");
      job.setMapperClass(oracle.sql.hadoop.examples.WordCount.TokenizerMapper.class);
      job.setReducerClass(oracle.sql.hadoop.examples.WordCount.IntSumReducer.class);
      job.setInputKeyClass(Text.class);
      job.setInputValueClass(Text.class);
      job.setOutputKeyClass(Text.class);
      job.setOutputValueClass(IntWritable.class);

      // Set the output DB types.
      job.setOutputKeyDBType("VARCHAR2(100)");
      job.setOutputValueDBType("NUMBER");

      // Store the job configuration and return the retrieval key.
      return job.init();
    }
}
