Rem Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem     WordCountSQL.sql 
Rem
Rem    DESCRIPTION
Rem    Demo script for the inverted index example.
 
Rem    The user calls the Java program to accept configuration,
Rem    and compose the queries with such configuration.

SET ECHO ON
SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100


drop table InTable;
-- Create the input tables.
CREATE TABLE InTable (
  KEYIN		VARCHAR2(100),
  VALUEIN	VARCHAR2(1000)
);


-- Populate the input table.
insert into InTable values ('1', 'Alice is great');
insert into InTable values ('3', 'Charlie is nice');
insert into InTable values ('2', 'Bob is cool');
insert into InTable values ('4', 'Dave is cool too');
insert into InTable values ('5', 'Hello World');

select * from InTable;


-- Call the java program to generate job configuration.
DROP FUNCTION WordCountSQL;
CREATE OR REPLACE FUNCTION WordCountSQL(arg VARCHAR2) RETURN NUMBER
  AS LANGUAGE JAVA
	NAME 'oracle.sql.hadoop.examples.WordCountSQL.jobKey(java.lang.String) return java.math.BigDecimal';
/
variable ConfKey NUMBER;
call WordCountSQL('') INTO :ConfKey;

-- Make the query.
DROP TABLE OutTable;
create table OutTable of OUT_HADOOP_WORDCOUNT;

SET TIMING ON
insert /*+ enable_parallel_dml */ into OutTable select * from table(HREDUCE_JP_WORDCOUNT(:ConfKey, cursor(select /*+ PARALLEL(t2,4) */ * from table(HMAP_JP_WORDCOUNT(:ConfKey, cursor(select /*+ PARALLEL(t1,4) */ * from InTable t1)))t2)));
select * from OutTable order by keyout;
quit;
