#!/usr/local/bin/perl
#
# install-scala.pl
# 
# Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      install-scala.pl - <one-line expansion of the name>
#
#    DESCRIPTION
#      <short description of component this file declares/defines>
#
#    NOTES
#      <other useful comments, qualifications, etc.>
#
#    MODIFIED   (MM/DD/YY)
#    kdere       08/05/14 - Creation
# 
use Getopt::Long;

my $password = '';
my $connectionString = '';
my $jar_path = '';

GetOptions ("connection=s" => \$connectionString,
            "jar_path=s"   => \$jar_path,
            "password=s"   => \$password)  or print_usage();

if ( !$password ) {
  print "Password for OC4H_INSTALL schema is not provided !!\n";
  print_usage();
}

if ( !$connectionString ) {
  print "Database URL is not provided !!\n";
  print_usage();
}

system ("perl ../../perl/load_file.pl -f -p $password -c $connectionString -j $jar_path");

sub print_usage() {
  print "Usage  : \n \t install_scala.pl [Options]\n";
  print "Options: \n \t -c,  --connection : Database URL. The format is host:lport/SID. e.g (localhost:5521/orcl).
                  \n \t -j,  --jar_path   : Scala-library.jar path relative to OC4HADOOP_HOME.
                  \n \t -p,  --password   : Password of OC4H_ISNTALL schema. \n";
  exit 0;
}
