Rem Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
Rem
Rem    NAME
Rem     export_oc4hadoop_classes.sql
Rem
Rem    DESCRIPTION
Rem     Create procedures to load oc4hadoop jars from server filesystem
Rem
Rem    VERSION
Rem     1.0.1
Rem

create or replace package oc4hadoop_install authid current_user as
 procedure require_sys;
 procedure load_oc4hadoop(force boolean, debug boolean);
 procedure load_oc4hadoop;
 procedure resolve_oc4hadoop;
end oc4hadoop_install;
/ 

create or replace package body oc4hadoop_install as

procedure require_sys as
begin
  if login_user != 'SYS' then
    declare
      foo exception;
      pragma exception_init(foo,-1031);
    begin
      raise foo;
    end;
  end if;
end;

procedure load_oc4hadoop(force boolean, debug boolean) as
  verifier_status number;
  trash varchar2(300) := dbms_java.endsession_and_related_state;
begin
  require_sys;
  verifier_status := dbms_java.option_controller(2,3);
  begin
    oc4hadoop_sys.load_jar('lib/base_hadoop.jar',force);
    if debug then
      oc4hadoop_sys.load_jar('lib/oc4hadoop_g.jar',force);
    else
      oc4hadoop_sys.load_jar('lib/oc4hadoop.jar',force);
    end if;
    if verifier_status = 1 then
       verifier_status := dbms_java.option_controller(2,2);
    end if;
  exception when others then
    if verifier_status = 1 then
       verifier_status := dbms_java.option_controller(2,2);
    end if;
    raise;
  end;
end;

procedure load_oc4hadoop as
begin
    load_oc4hadoop(true, false);
end;

procedure resolve_oc4hadoop as
begin
    load_oc4hadoop(false, false);
end;
end oc4hadoop_install;
/

call oc4hadoop_install.load_oc4hadoop();
